Subject: Re: stgit: No patches to pop

From: Jakub Narebski <[email-masked]>
Date: Mon, 11 Dec 2006 23:54:52 +0100

Catalin Marinas wrote:
> On 11/12/06, Jakub Narebski <[email-masked]> wrote:
>> Catalin Marinas wrote:
>>
>>>> I also get things like:
>>>>
>>>> % stg pop second
>>>> popping patch "third"... done
>>>> Now at patch "second"
>>>
>>> In version 0.11, the "pop" command is equivalent to "goto". I changed
>>> this in the latest version (in the StGIT repository) so that "pop
>>> <patch>" tries to only extract that patch from the stack by popping
>>> all the patches to the given one and pushing them back without the one
>>> you specified. It also supports patch ranges (i.e. patch1..patch4).
>>
>> That is kind of strange. Pop should work like pop does, for example
>> the one in Perl or Python, removing n elements from the stack of applied
>> patches. Not work as "float <patch>"...
> 
> Probably I wasn't clear enough. The "pop" operations are as follows:
> 
> 1. "stg pop" only removes the top patch from the applied patches
> 2. "stg pop <patch>.." is equivalent to popping all patches to <patch>
> (including the latter)
> 3. "stg pop <patch>" is equivalent to "stg float <patch>; stg pop".
> 4. "stg pop <patch list or range>" is equivalent to "stg float <patch
> list or range>; stg pop <all the patches in the list or range>"
> 
> These feature was Yann's idea and I find it to be more in line with
> the "push" command.

Nice, and easy to understand. By the way, the same works with "stg push",
doesn't it?

-- 
Jakub Narebski